Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem("StorageStocks"), CreatableItem(False)> _
Public Class StorageComputedLocations
    Inherits BaseObject

    Private _StorageComputed As StorageComputed
    Private _PacketNumber As String 'Kötegszám
    Private _SerialNumber As String 'Sorozatszám
    Private _QTT As Double
    Private _StorageLocation As StorageLocation

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property StorageComputed As StorageComputed
        Get
            Return _StorageComputed
        End Get
        Set(value As StorageComputed)
            SetPropertyValue("StorageComputed", _StorageComputed, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property StorageLocation As StorageLocation
        Get
            Return _StorageLocation
        End Get
        Set(value As StorageLocation)
            SetPropertyValue("StorageLocation", _StorageLocation, value)
        End Set
    End Property
    Property PacketNumber As String
        Get
            Return _PacketNumber
        End Get
        Set(value As String)
            SetPropertyValue("PacketNumber", _PacketNumber, value)
        End Set
    End Property
    Property SerialNumber As String
        Get
            Return _SerialNumber
        End Get
        Set(value As String)
            SetPropertyValue("SerialNumber", _SerialNumber, value)
        End Set
    End Property

End Class
